Bug 1579216 - Failed to pull image when using the openshift registry of the ASB
Summary: Failed to pull image when using the openshift registry of the ASB
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Service Broker
Version: 3.10.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.10.0
Assignee: Dylan Murray
QA Contact: Jian Zhang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-17 07:50 UTC by Jian Zhang
Modified: 2018-07-30 19:16 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2018-07-30 19:15:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:1816 None None None 2018-07-30 19:16:03 UTC

Comment 1 Jian Zhang 2018-05-17 08:09:20 UTC
I submit a fixed PR, here: https://github.com/automationbroker/bundle-lib/pull/83
I'm looking forward your comments.

Comment 3 David Zager 2018-05-24 20:18:05 UTC
Once https://github.com/openshift/ansible-service-broker/pull/968 is merged, the next release of the broker will have this fix.

Comment 5 Jian Zhang 2018-06-04 07:57:33 UTC
verify success.

The ASB version: 1.2.16

$ apb list
Contacting the ansible-service-broker at: https://asb-1338-openshift-ansible-service-broker.apps.0603-4e3.qe.rhcloud.com/ansible-service-broker/v2/catalog
ID                                NAME                DESCRIPTION                        
8667ff78b02914530122401440d63cbc  aws-mariadb-apb     Mariadb apb implementation         
4422d9e6af37355babda9b6fd0b5121a  aws-mediawiki-apb   Mediawiki apb implementation       
49dafff31e1abf1f6cb7b56b858c4929  aws-mysql-apb       Software Collections MySQL APB     
cb931343530040eb594db08d4a158146  aws-postgresql-apb  SCL PostgreSQL apb implementation  

The target image can be pulled correctly. As below:

[root@qe-jiazha-o4master-etcd-1 ~]# oc get pods -n aws-postgresql-apb-prov-8v8gd
NAME                                       READY     STATUS              RESTARTS   AGE
apb-f9737817-0039-4a98-9b9d-d29c98f17cad   0/1       ContainerCreating   0          30s
[root@qe-jiazha-o4master-etcd-1 ~]# oc describe pods -n aws-postgresql-apb-prov-8v8gd
Name:         apb-f9737817-0039-4a98-9b9d-d29c98f17cad
Namespace:    aws-postgresql-apb-prov-8v8gd
Node:         qe-jiazha-o4node-registry-router-1/172.16.120.58
Start Time:   Mon, 04 Jun 2018 07:39:51 +0000
Labels:       apb-action=provision
              apb-fqname=aws-postgresql-apb
              apb-pod-name=apb-f9737817-0039-4a98-9b9d-d29c98f17cad
Annotations:  openshift.io/scc=restricted
Status:       Pending
IP:           
Containers:
  apb:
    Container ID:  
    Image:         registry.reg-aws.openshift.com:443/openshift3/postgresql-apb:v3.10
    Image ID:      
    Port:          <none>
    Host Port:     <none>
    Args:
      provision
      --extra-vars
      {"_apb_last_requesting_user":"jiazha","_apb_plan_id":"dev","_apb_service_class_id":"cb931343530040eb594db08d4a158146","_apb_service_instance_id":"75a29322-67ca-11e8-ab15-0a580a800003","cluster":"openshift","namespace":"jian","postgresql_database":"admin","postgresql_password":"test","postgresql_user":"admin","postgresql_version":"9.6"}
    State:          Waiting
      Reason:       ContainerCreating
    Ready:          False
    Restart Count:  0
    Environment:
      POD_NAME:       apb-f9737817-0039-4a98-9b9d-d29c98f17cad (v1:metadata.name)
      POD_NAMESPACE:  aws-postgresql-apb-prov-8v8gd (v1:metadata.namespace)
      HTTP_PROXY:     
      HTTPS_PROXY:    
      NO_PROXY:       
      http_proxy:     
      https_proxy:    
      no_proxy:       
    Mounts:
      /var/run/secrets/kubernetes.io/serviceaccount from apb-f9737817-0039-4a98-9b9d-d29c98f17cad-token-vgc62 (ro)
Conditions:
  Type           Status
  Initialized    True 
  Ready          False 
  PodScheduled   True 
Volumes:
  apb-f9737817-0039-4a98-9b9d-d29c98f17cad-token-vgc62:
    Type:        Secret (a volume populated by a Secret)
    SecretName:  apb-f9737817-0039-4a98-9b9d-d29c98f17cad-token-vgc62
    Optional:    false
QoS Class:       BestEffort
Node-Selectors:  node-role.kubernetes.io/compute=true
Tolerations:     <none>
Events:
  Type    Reason     Age   From                                         Message
  ----    ------     ----  ----                                         -------
  Normal  Scheduled  42s   default-scheduler                            Successfully assigned apb-f9737817-0039-4a98-9b9d-d29c98f17cad to qe-jiazha-o4node-registry-router-1
  Normal  Pulling    40s   kubelet, qe-jiazha-o4node-registry-router-1  pulling image "registry.reg-aws.openshift.com:443/openshift3/postgresql-apb:v3.10"

Provision APB success:
[root@qe-jiazha-o4master-etcd-1 ~]# oc get pods -n jian
NAME                                                      READY     STATUS    RESTARTS   AGE
postgresql-75a29322-67ca-11e8-ab15-0a580a800003-1-7vs6k   1/1       Running   0          10m

Comment 7 errata-xmlrpc 2018-07-30 19:15:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1816


Note You need to log in before you can comment on or make changes to this bug.